Package net.shibboleth.idp.log

# Class SLF4JMDCServletFilter

java.lang.Object
net.shibboleth.shared.servlet.impl.StubbedFilter
net.shibboleth.idp.log.SLF4JMDCServletFilter

All Implemented Interfaces:
  `Filter`

@Deprecated(since="5.0.0", forRemoval=true) public class SLF4JMDCServletFilter extends StubbedFilter
Deprecated, for removal: This API element is subject to removal in a future version.
Legacy stub.

## Constructor Summary

Constructors
Constructor
Description
`SLF4JMDCServletFilter()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

### Methods inherited from class net.shibboleth.shared.servlet.impl.StubbedFilter

`doFilter, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Filter

`destroy`

## Constructor Details

### SLF4JMDCServletFilter

public SLF4JMDCServletFilter()
Deprecated, for removal: This API element is subject to removal in a future version.